import argparse
from astropy.io import fits


def main():
    """
    """
    
    # parse the command-line arguments
    ps = argparse.ArgumentParser()
    ps.add_argument('-f', nargs='+', type=str, required=True)
    args = ps.parse_args()
    
    print "%60s%5s%5s%5s%5s%5s%12s" % ('FILENAME', 'YYYY', 'MM', 'DD', 'HH', 'MM', 'UT[s]')
    for f in args.f:
        hdu = fits.open(f)
        for hdulist in hdu:
	    if hdulist.name == 'OI_VIS2':
		time = hdulist.data['TIME'].mean()
	
	#print time
	date = f.split('_')[0]
	date = date.split('.')
	print "%60s%5s%5s%5s%5s%5s%12.4f" % (f, date[1], date[2], date[3], date[4], date[5], time)
		
        
        
if __name__ == '__main__':
    main()
        
    
    
    