import argparse
import numpy as np
from astropy.io import fits


def main():
    """
    """
    
    # parse the command-line arguments
    ps = argparse.ArgumentParser()
    ps.add_argument('-f', nargs='+', type=str, required=True)
    args = ps.parse_args()
    
    for f in args.f:
        hdu = fits.open(f)
        for hdulist in hdu:
	    if hdulist.name == 'OI_VIS2':
		time = hdulist.data['TIME']
		
		hoursec = 60 * 60
		ind = np.where(time < 24)[0]
		time[ind] = time[ind] * hoursec
		
		
		hdulist.data['TIME'] = time
	hdu.writeto(f, clobber=True)
	

		
        
        
if __name__ == '__main__':
    main()
        