#!/usr/bin/env python

import re

JD = []
U = []
B = []
V = []
R = []

f = open('betlyr.hv4', 'r')
for line in f.readlines():
    if re.match("^  [0-9].*", line):
        print line
        l = line.split()
        JD.append(float(l[0])+2400000.0)
        U.append(float(l[5]))
        B.append(float(l[4]))
        V.append(float(l[3]))
        R.append(float(l[6]))

f.close()

f = open('hvar.U.phot', 'w')
for i in xrange(len(JD)):
    f.write("%12.4f,%5.3f,1.0,,U,\n" % (JD[i], U[i]))
f.close()

f = open('hvar.B.phot', 'w')
for i in xrange(len(JD)):
    f.write("%12.4f,%5.3f,1.0,,B,\n" % (JD[i], B[i]))
f.close()

f = open('hvar.V.phot', 'w')
for i in xrange(len(JD)):
    f.write("%12.4f,%5.3f,1.0,,V,\n" % (JD[i], V[i]))
f.close()

f = open('hvar.R.phot', 'w')
for i in xrange(len(JD)):
    f.write("%12.4f,%5.3f,1.0,,R,\n" % (JD[i], R[i]))
f.close()


